; assumptions about the starting envionment
cpu 8086
org 0x0000

_startup:
  mov ax, cs
  mov ss, ax
  mov sp, 0x0000
main:
  mov ax, cs
  mov ds, ax

  call heap_init
  call ivt_backup
  call debug_init

  int 0x2E

.halt:
  hlt
  jmp .halt

%include "heap.asm"
%include "intr.asm"
%include "debug.asm"
%include "kprintf.asm"

_reloc_end:

align 16
heap:
